package org.eco.system.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.common.orm.core.domain.BaseEntity;
import org.eco.system.domain.ImportExport;

import java.io.Serial;
import java.io.Serializable;

/**
 * 导入导出日志视图对象 sys_import_export_t
 *
 * @author wgk
 * @date 2024-06-24
 */
@Data
@ExcelIgnoreUnannotated
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = ImportExport.class)
public class ImportExportVo extends BaseEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 唯一编码
     */
    @ExcelProperty(value = "唯一编码")
    private Long id;

    /**
     * 类型（0导入 1导出）
     */
    private String type;

    /**
     * 状态
     */
    private Long ossId;

    /**
     * 文件名称
     */
    @ExcelProperty(value = "文件名称")
    private String name;

    @ExcelProperty(value = "文件地址")
    private String url;

    /**
     * 日志信息
     */
    @ExcelProperty(value = "日志信息")
    private String logInfo;

    /**
     * 状态
     */
    @ExcelProperty(value = "状态")
    private String status;
}
